#
# spec file for package perl-Type-Tiny
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Type-Tiny
Version:        1.000005
Release:        3.1
%define cpan_name Type-Tiny
Summary:        tiny, yet Moo(se)-compatible type constraint
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Type-Tiny/
Source:         http://www.cpan.org/authors/id/T/TO/TOBYINK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Exporter::Tiny) >= 0.026
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Exporter::Tiny) >= 0.026
Recommends:     perl(Devel::LexAlias) >= 0.05
Recommends:     perl(Devel::StackTrace)
Recommends:     perl(Sub::Name)
Recommends:     perl(Type::Tie)
Recommends:     perl(Type::Tiny::XS) >= 0.010
%{perl_requires}

%description
the Type::Tiny manpage is a tiny class for creating Moose-like type
constraint objects which are compatible with Moo, Moose and Mouse.

Maybe now we won't need to have separate MooseX, MouseX and MooX versions
of everything? We can but hope...

This documents the internals of the Type::Tiny manpage. the
Type::Tiny::Manual manpage is a better starting place if you're new.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYRIGHT CREDITS doap.ttl examples LICENSE NEWS README TODO

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.000005
  see /usr/share/doc/packages/perl-Type-Tiny/Changes
  1.000005	2014-10-25
  [ Bug Fixes ]
  - Fix short-circuiting optimizations for parameterized HashRef, ArrayRef,
    ScalarRef, and Map type constraints.
    Fixes RT#99312.
    Marcel Timmerman++
    <https://rt.cpan.org/Ticket/Display.html?id=99312>
  [ Test Suite ]
  - Fix annoying warning message in test suite with recent versions of
    Exporter::Tiny.
* Wed Sep 17 2014 coolo@suse.com
- updated to 1.000004, see Changes
* Tue Oct  1 2013 coolo@suse.com
- initial package 0.028
  * created by cpanspec 1.78.07
